#!/usr/koeki/bin/ruby
#-*-coding: utf-8-*-
while true
puts"あなたが読んでみたい本のジャンルはどれ?"
puts"絵本?ファンタジー?推理小説?冒険物語?伝記?漫画?"
jyanru=gets.chomp
if jyanru=="絵本"
    puts"あなたにオススメの本はコレ!"
    puts"「100かいだでの家シリーズ」"
    puts"色んな生き物が出てきて細かい部分までかわいいよ!"
  elsif jyanru=="ファンタジー"
    puts"あなたにオススメの本はコレ!"
    puts"「ドリトル先生シリーズ」"
    puts"ドリトル先生は動物の言葉が話せるよ!"
  elsif jyanru=="推理小説"
    puts"あなたはどちらを読んでみたい?"
    puts"アガサクリスティ?セオ?"
    suiri=gets.chomp
    while true
      if suiri=="アガサクリスティ"
        puts"「ABC殺人事件」"
        puts"「オリエント急行殺人事件」"
        break
      elsif suiri=="セオ"
        puts"法廷のシーンも描かれているよ"
        break
      end
    end
    elsif jyanru=="冒険物語"    
      puts"あなたにオススメの本はコレ!"   
      puts"ゲド戦記"
    elsif jyanru=="伝記"
      puts"あなたにオススメの本はコレ!"
      puts"アンネの日記"
    elsif jyanru=="漫画"
      puts"手塚治虫を知っている?"
      puts"「火の鳥」、「ブラックジャック」、「ブッタ」、「リボンの騎士」が代表作だよ"
    end  

end

